List cluster addons
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/clusters/{id}/get-addons \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/clusters/{id}/get-addons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/clusters/{id}/get-addons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"appName": "<string>",
"namespace": "<string>",
"applicationId": "<string>",
"description": "<string>",
"path": "<string>",
"addonFolder": "<string>",
"installed": true,
"status": {
"installed": true,
"healthStatus": "<string>",
"syncStatus": "<string>"
},
"version": "<string>",
"manifest": {},
"installationSource": "<string>",
"unsupportedClusterTypes": [],
"required": true,
"knownCRDs": [
"<string>"
],
"source": {
"repo_url": "<string>",
"chart": "<string>"
},
"upgrades": {
"diff": [
{
"key": "<string>",
"value": {},
"oldValue": {},
"changes": "<array>"
}
],
"currentManifest": {
"type": "helm",
"name": "<string>",
"source": {
"type": "helm-repo",
"repo_url": "<string>",
"chart": "<string>",
"version": "<string>",
"integration_fqn": "<string>"
},
"labels": {},
"values": {},
"kustomize": {
"patch": {},
"additions": [
{}
]
},
"ignoreDifferences": [
{}
],
"workspace_fqn": "<string>"
},
"desiredManifest": {
"type": "helm",
"name": "<string>",
"source": {
"type": "helm-repo",
"repo_url": "<string>",
"chart": "<string>",
"version": "<string>",
"integration_fqn": "<string>"
},
"labels": {},
"values": {},
"kustomize": {
"patch": {},
"additions": [
{}
]
},
"ignoreDifferences": [
{}
],
"workspace_fqn": "<string>"
},
"upgradePossible": true,
"conflictFields": [
"<string>"
],
"hasConflict": true
},
"labels": [
"<string>"
],
"recommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"workspaceId": "<string>",
"metadata": {}
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Clusters
List cluster addons
List addons installed on the cluster.
GET
/
api
/
svc
/
v1
/
clusters
/
{id}
/
get-addons
List cluster addons
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the cluster.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Comma-separated list of attributes to return (e.g. id,name). When provided, only the specified fields are fetched. id is always included.
Was this page helpful?
⌘I